{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/step1_pdb_config"
                },
                {
                    "type": "string",
                    "id": "#main/step1_pdb_name"
                }
            ],
            "steps": [
                {
                    "run": "#pdb.cwl",
                    "in": [
                        {
                            "source": "#main/step1_pdb_config",
                            "id": "#main/step1_pdb/config"
                        },
                        {
                            "source": "#main/step1_pdb_name",
                            "id": "#main/step1_pdb/output_pdb_path"
                        }
                    ],
                    "out": [
                        "#main/step1_pdb/output_pdb_file"
                    ],
                    "id": "#main/step1_pdb"
                },
                {
                    "run": "#fix_side_chain.cwl",
                    "in": [
                        {
                            "source": "#main/step1_pdb/output_pdb_file",
                            "id": "#main/step2_fixsidechain/input_pdb_path"
                        }
                    ],
                    "out": [
                        "#main/step2_fixsidechain/output_pdb_file"
                    ],
                    "id": "#main/step2_fixsidechain"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step2_fixsidechain/output_pdb_file",
                    "id": "#main/pdb"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "fix_side_chain",
            "hints": [
                {
                    "dockerPull": "quay.io/biocontainers/biobb_model:0.1.3--py_0",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--config"
                    },
                    "id": "#fix_side_chain.cwl/config"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_1476",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--input_pdb_path"
                    },
                    "id": "#fix_side_chain.cwl/input_pdb_path"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--output_pdb_path"
                    },
                    "default": "fixed.pdb",
                    "id": "#fix_side_chain.cwl/output_pdb_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_1476",
                    "outputBinding": {
                        "glob": "$(inputs.output_pdb_path)"
                    },
                    "id": "#fix_side_chain.cwl/output_pdb_file"
                }
            ],
            "id": "#fix_side_chain.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "pdb",
            "hints": [
                {
                    "dockerPull": "quay.io/biocontainers/biobb_io:0.1.3--py_0",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--config"
                    },
                    "default": "{\"pdb_code\" : \"1aki\"}",
                    "id": "#pdb.cwl/config"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--output_pdb_path"
                    },
                    "default": "downloaded_structure.pdb",
                    "id": "#pdb.cwl/output_pdb_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_1476",
                    "outputBinding": {
                        "glob": "$(inputs.output_pdb_path)"
                    },
                    "id": "#pdb.cwl/output_pdb_file"
                }
            ],
            "id": "#pdb.cwl"
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "http://edamontology.org/EDAM_1.22.owl"
    ]
}
